%global vimfiles_root %{_datadir}/vim/vimfiles

Name:           vim-nerdtree
Version:        4.2.0
Release:        15%{?dist}
Summary:        A tree explorer plugin for the editor Vim
Group:          Application/Editors

License:        WTFPL
URL:            http://www.vim.org/scripts/script.php?script_id=1658
Source0:        https://github.com/scrooloose/nerdtree/tarball/%{version}
Patch0:         %{name}-Deactivating-folds-in-NERDtree-buffer.patch

Requires:       vim-common
Requires(post): vim
Requires(postun): vim

BuildArch:      noarch

%description
The NERD tree allows you to explore your filesystem and to open files and
directories. It presents the filesystem to you in the form of a tree which
you manipulate with the keyboard and/or mouse. It also allows you
to perform simple filesystem operations.

%prep
%setup -q -n scrooloose-nerdtree-205367a
%patch0 -p1

%build


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {doc,nerdtree_plugin,plugin,syntax} %{buildroot}%{vimfiles_root}

%post
vim -c ":helptags %{vimfiles_root}/doc" -c :q &> /dev/null

%postun
rm %{vimfiles_root}/doc/tags
vim -c ":helptags %{vimfiles_root}/doc" -c :q &> /dev/null


%files
%doc README.markdown
%doc %{vimfiles_root}/doc/*
%{vimfiles_root}/nerdtree_plugin/
%{vimfiles_root}/plugin/*
%{vimfiles_root}/syntax/*


%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 10 2013 Till Maas <opensource@till.name> - 4.2.0-8
- Update summary (#891122)

* Fri Aug 03 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 4.2.0-7
- Fixed the Deactivating folds patch to apply cleanly.

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 04 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 4.2.0-5
- Add the missing Group tag.

* Mon Apr 16 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 4.2.0-4
- Applied upstream patch as requested in RHBZ #812360.
- Add post and postun Requires: vim (to generate helptags properly).

* Thu Jan 26 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 4.2.0-3
- Added %%preun and %%postun to properly re-generate vim doc tags.

* Wed Jan 25 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 4.2.0-2
- Fixed issues from the review request (RHBZ #784021).

* Tue Jan 24 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 4.2.0-1
- Initial package.
